
Infrastructure - Task #836

Story # 909 (Closed): Reimplement cn/resolve using nodelist for testing

Fix error message returned by CN when attempting to resolve invalid ID

2010-09-09 04:09 - Roger Dahl

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Milestone:  Story Points:  

Product Version: *   

Description

curl -X GET -H 'Accept: text/xml' http://cn-dev.dataone.org/cn/resolve/test

Getting:

<?xml version="1.0" encoding="UTF-8"?>

Document not found:'

Expecting:

Valid DataONE error serialized to xml.

History

#1 - 2010-10-06 06:10 - Matthew Jones

- Parent task set to #909

#2 - 2010-10-06 16:55 - Rob Nahf

we forgot to tag the fixed version to the Y1 "release".  made the change, but did not deploy.

#3 - 2010-10-06 21:21 - Rob Nahf

- Status changed from New to 3

deployed the fix to cn-dev by copying the file (avoided complete re-deploy)

#4 - 2010-10-06 23:43 - Dave Vieglais

- Status changed from 3 to Closed
